org.apache.http.client.config

## Class CookieSpecs

- java.lang.Object
- - org.apache.http.client.config.CookieSpecs

    public final class CookieSpecs
    extends Object

Standard cookie specifications supported by HttpClient.

Since:
  4.3

### Field Summary

Fields
`static String` `BEST_MATCH` Deprecated. (4.4) use {link #DEFAULT}.
`static String` `BROWSER_COMPATIBILITY` Deprecated. (4.4) use {link #DEFAULT}.
`static String` `DEFAULT` The default policy.
`static String` `IGNORE_COOKIES` The policy that ignores cookies.
`static String` `NETSCAPE` The Netscape cookie draft compliant policy.
`static String` `STANDARD` The RFC 6265 compliant policy (interoprability profile).
`static String` `STANDARD_STRICT` The RFC 6265 compliant policy (strict profile).

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BROWSER_COMPATIBILITY

    @Deprecated
    public static final String BROWSER_COMPATIBILITY

Deprecated. (4.4) use {link #DEFAULT}.
The policy that provides high degree of compatibility with common cookie management of popular HTTP agents.

See Also:
  Constant Field Values

#### NETSCAPE

    public static final String NETSCAPE

The Netscape cookie draft compliant policy.

See Also:
  Constant Field Values

#### STANDARD

    public static final String STANDARD

The RFC 6265 compliant policy (interoprability profile).

See Also:
  Constant Field Values

#### STANDARD_STRICT

    public static final String STANDARD_STRICT

The RFC 6265 compliant policy (strict profile).

Since:
  4.4
See Also:
  Constant Field Values

#### BEST_MATCH

    @Deprecated
    public static final String BEST_MATCH

Deprecated. (4.4) use {link #DEFAULT}.
The default 'best match' policy.

See Also:
  Constant Field Values

#### DEFAULT

    public static final String DEFAULT

The default policy. This policy provides a higher degree of compatibility with common cookie management of popular HTTP agents for non-standard (Netscape style) cookies.

See Also:
  Constant Field Values

#### IGNORE_COOKIES

    public static final String IGNORE_COOKIES

The policy that ignores cookies.

See Also:
  Constant Field Values